#********************************************************************                              
# (C) Copyright IBM Corp.  1997, 2005
# The source code for this program is not published or otherwise    
# divested of its trade secrets, irrespective of what has been      
# deposited with the U.S. Copyright Office.                         
#********************************************************************
###############################################################################
# This property file include key database default setting used in iKeyMan GUI.
# You can modify or uncomment the properties to customerize the GUI for 
# your product.
#
# When you uncomment or modify a propery setting, make sure that there is no
# blank space left in the beginning of the line and between the property tag
# and the equal sign "=".
###############################################################################
#
###############################################################################
# Default working directory
#
# Uncomment the setting DEFAULT_FILE_LOCATION to specify your default working 
# directory. Otherwise, the directory of ikmgui[.exe] or the "Start in" setting 
# of the shortcut of ikmgui.exe in the StartUp bar in WINNT/Window 95 will be 
# your working directory.
#
# Example in WINNT/Window 95:
#
#DEFAULT_FILE_LOCATION=C:\\program files\\ibm\\gsk\\data
#
###############################################################################
#DEFAULT_FILE_LOCATION=
###############################################################################
# Database format specific working directory.
#
# Key database files in different database format might need to use different
# working directory. The following properties specify the default directory name
# where a file of the corresponding format will be used. 
#
# If the setting is not specified/modified, the directory specified by 
# DEFAULT_FILE_LOCATION will be used as the default working directory for that 
# format.
###############################################################################
DEFAULT_KEYDB_LOCATION_CMS=.
DEFAULT_KEYDB_NAME_CMS=key
DEFAULT_KEYDB_NAME_EXT_CMS=.kdb
USE_LAST_OPENED_LOCATION_CMS=true
#DEFAULT_CMS_STORE_VER_V4=true
#DEFAULT_KEYDB_LOCATION_WEBDB=
#DEFAULT_KEYDB_LOCATION_SSLIGHT=
#DEFAULT_KEYDB_LOCATION_SSLINK=
#DEFAULT_KEYDB_LOCATION_CDSA=
#DEFAULT_KEYDB_LOCATION_BERKELEY=
################################################################################
# PKCS12 file settings
# Feature 26229.3
################################################################################
DEFAULT_PKCS12_FILE_LOCATION=.
DEFAULT_PKCS12_FILE_NAME=key
DEFAULT_PKCS12_FILE_NAME_EXT=.p12
USE_LAST_OPENED_LOCATION_PKCS12=true
#DEFAULT_PKCS12_EXPORT_VERSION=3
#DEFAULT_1_BROWSER_ITERATION_COUNT=1 
#DEFAULT_1_BROWSER_ENC_ALGORITHM=SHA1_RC2_40
#DEFAULT_2_IKEYMAN_ITERATION_COUNT=5
#DEFAULT_2_IKEYMAN_ENC_ALGORITHM=SHA1_3DES3
#DEFAULT_PKCS12_ENCODE_TYPE=2
################################################################################
# JKS file settings
#
################################################################################
DEFAULT_JKS_FILE_LOCATION=.
DEFAULT_JKS_FILE_NAME=key
DEFAULT_JKS_FILE_NAME_EXT=.jks
USE_LAST_OPENED_LOCATION_JKS=true
################################################################################
# JCEKS file settings
#
################################################################################
DEFAULT_JCEKS_FILE_LOCATION=.
DEFAULT_JCEKS_FILE_NAME=key
DEFAULT_JCEKS_FILE_NAME_EXT=.jck
USE_LAST_OPENED_LOCATION_JCEKS=true
################################################################################
# SSLight specific properties.
#
# Default location and file name for a SSLight class to store certificates that 
# are extracted from another key database.
#
# If DEFAULT_SSLIGHT_EXTRACT_FILE_LOCATION is not set, 
# DEFAULT_KEYDB_LOCATION_SSLIGHT will be used.
################################################################################
#DEFAULT_SSLIGHT_EXTRACT_FILE_LOCATION=
#DEFAULT_SSLIGHT_EXTRACT_FILE_NAME=keyring.class
#DEFAULT_SSLIGHT_PACKAGE_NAME=
#DEFAULT_SSLIGHT_PASSWORD_REQUIRED=false
#DEFAULT_CMS_PASSWORD_REQUIRED=false
#DEFAULT_WEBDB_PASSWORD_REQUIRED=false
#DEFAULT_SSLIGHT_CREATE_EMPTY=true
###############################################################################
###############################################################################
# WARNING:
#    Please do not change the following properties unless you really understand 
#    what they represent and you really want to use your customerized setting.
###############################################################################
###############################################################################
#
###############################################################################
# Collection of default key database file name extensions
###############################################################################
#DEFAULT_KEYDB_NAME_EXT_WEBDB=.kyr
#DEFAULT_KEYDB_NAME_EXT_SSLIGHT=.class
#DEFAULT_KEYDB_NAME_EXT_SSLINK=.ksl
#DEFAULT_KEYDB_NAME_EXT_CDSA=.kdl
#DEFAULT_KEYDB_NAME_EXT_BERKELEY=.db    
###############################################################################
# Setting of the default key database file names for various key database 
# formats.
#
# If you want to change the names for your product, remember that directory 
# names are set above and don't include directory name in the following 
# property setting. 
###############################################################################
#DEFAULT_KEYDB_NAME_WEBDB=keyfile.kyr
#DEFAULT_KEYDB_NAME_SSLIGHT=keyring.class
#DEFAULT_KEYDB_NAME_SSLINK=keyring.ksl
#DEFAULT_KEYDB_NAME_CDSA=cdsakey.kdl
#DEFAULT_KEYDB_NAME_BERKELEY=key.db
###############################################################################
# Collection of default file name extensions for other objects
###############################################################################
#DEFAULT_BASE64_FILE_NAME_EXT=.arm
#DEFAULT_DER_FILE_NAME_EXT=.der
#DEFAULT_PEM_FILE_NAME_EXT=.pem
###############################################################################
# Collection of default file names for other objects
###############################################################################
#DEFAULT_CERTREQ_NAME=certreq.arm
#DEFAULT_CERTIFICATE_NAME_ARM=cert.arm
#DEFAULT_CERTIFICATE_NAME_DER=cert.der
#DEFAULT_CERTIFICATE_NAME_PEM=cert.pem
###############################################################################
# Cryptographic token settings
###############################################################################
#DEFAULT_CRYPTOGRAPHIC_TOKEN_SECONDARY_KEYDB=
#DEFAULT_CRYPTOGRAPHIC_MODULE=D:\\GSkit\\IKeyman\\Src\\gsk_cms\\pkcs11driver\\winrelease\\gsk6p11d.dll
#DEFAULT_CRYPTOGRAPHIC_MODULE=E:\\Netscape\\program\\acpkcs.dll
###############################################################################
# Collection of GUI component specification
#
# If the value of DEFAULT_PASSWORD_STASHING_STATE is true, the check box to 
# stash password in a password dialog will always be checked by default.
###############################################################################
#DEFAULT_PASSWORD_STASHING_STATE=false
#DEFAULT_SIGNATURE_ALGORITHM=MD5_WITH_RSA
#DEFAULT_SUBJECT_ALTERNATIVE_NAME_SUPPORT=true
#DEFAULT_SSCERT_BASIC_CONSTRAINTS=true
###############################################################################
# To enable/disable the English only RSA mode
###############################################################################
#DEFAULT_ENGLISH_ERROR_MESSAGE=false
###############################################################################
#  //254
#DEFAULT_FIPS_MODE_PROCESSING=ON
#DEFAULT_CRYPTOGRAPHIC_BASE_LIBRARY=ICC 
###############################################################################
# Set true to enable viewing of files/directories normally hidden
###############################################################################
#VIEW_HIDDEN_FILES=false
###############################################################################
# Logging settings
#
# Values for LOGGING_FILTER are 
#    ALL will log everything
#    INFO will log everything except debugging messages used in 
#	tracing
#    WARN will log warning and error messages
#    ERROR will log only error messages
#
###############################################################################
DEFAULT_LOGGING=false
DEFAULT_LOGGING_FILTER=ALL
#DEFAULT_LOGGING_FILE=
###############################################################################
# End of initialization properties.
###############################################################################
